Groovy 1.7.10

## groovy.model
[Java] Class ValueHolder

    java.lang.Object
      groovy.model.ValueHolder

All Implemented Interfaces:
  ValueModel

    public class ValueHolder
    extends Object

A simple ValueModel implementation which is a holder of an object value. Used to share local variables with closures

Authors:
  James Strachan

Version:
  \$Revision: 7922 \$

Constructor Summary
`ValueHolder()`
`ValueHolder(Class type)`
`ValueHolder(Object value)`

Method Summary
`void` | `addPropertyChangeListener(PropertyChangeListener listener)` Add a PropertyChangeListener to the listener list.
`Class` | `getType()`
`Object` | `getValue()`
`boolean` | `isEditable()`
`void` | `removePropertyChangeListener(PropertyChangeListener listener)` Removes a PropertyChangeListener from the listener list.
`void` | `setEditable(boolean editable)`
`void` | `setValue(Object value)`

Methods inherited from class Object
wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll

Constructor Detail

### ValueHolder

    public ValueHolder()

### ValueHolder

    public ValueHolder(Class type)

### ValueHolder

    public ValueHolder(Object value)

Method Detail

### addPropertyChangeListener

    public void addPropertyChangeListener(PropertyChangeListener listener)

  Add a PropertyChangeListener to the listener list.
  Parameters:
    `listener` - The listener to add.

### getType

    public Class getType()

### getValue

    public Object getValue()

### isEditable

    public boolean isEditable()

### removePropertyChangeListener

    public void removePropertyChangeListener(PropertyChangeListener listener)

  Removes a PropertyChangeListener from the listener list.
  Parameters:
    `listener` - The listener to remove.

### setEditable

    public void setEditable(boolean editable)

### setValue

    public void setValue(Object value)

Copyright © 2003-2010 The Codehaus. All rights reserved.